View Issue Details

IDProjectCategoryView StatusLast Update
0016091ScribusScripterpublic2020-08-11 20:56
Reporterquazgar Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.5.6.svn 
Summary0016091: Rename Python getText() to getFrameText()
DescriptionA rename from getText() to getFrameText() would remove possible confusion about getText only returning the visible part of the text. On the implementation side, this has happened already (see `scribus_getframetext` in `scribus/plugins/scriptplugin/cmdtext.cpp`).

Marking getText() as deprecated and creating a new function getFrameText() should be pretty straightforward.
Additional InformationSee also 0016090.
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-04-19 22:53 quazgar New Issue
2020-04-19 23:34 jghali Summary ENH: Rename Python getText() to getFrameText() => Rename Python getText() to getFrameText()
2020-04-24 17:21 jghali Assigned To => jghali
2020-04-24 17:21 jghali Status new => resolved
2020-04-24 17:21 jghali Resolution open => fixed
2020-04-24 17:21 jghali Fixed in Version => 1.5.6.svn
2020-08-11 20:56 cbradney Status resolved => closed